/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 酒票转让实体类
 *
 * @author BladeX
 * @since 2022-02-19
 */
@Data
@ApiModel(value = "酒票转让对象", description = "请求实体类")
public class UserTicketTransferRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 用户ID
	 */
	@ApiModelProperty(value = "主键ID")
	private Long userId;

	/**
	 * 转让用户Id
	 */
	@ApiModelProperty(value = "转让用户Id")
	private Long transferId;

	/**
	 * 酒票数
	 */
	@ApiModelProperty(value = "酒票数")
	private Double ticket;

}
