/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.api.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.modules.desk.vo.NoticeVO;
import org.springblade.modules.platform.entity.Ads;
import org.springblade.modules.shopping.entity.Consign;
import org.springblade.modules.shopping.entity.Goods;
import org.springblade.modules.shopping.vo.ConsignVO;
import org.springblade.modules.shopping.vo.GoodsVO;

import java.io.Serializable;
import java.util.List;

/**
 * 视图实体类
 *
 * @author Chill
 */
@Data
@ApiModel(value = "indexResponse对象", description = "首页相应实体类")
public class IndexResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "banner轮播")
	private List<Ads> banners;

	@ApiModelProperty(value = "公告")
	private List<NoticeVO> notices;

	@ApiModelProperty(value = "酒票专区")
	private List<Goods> goodsTicket;

	@ApiModelProperty(value = "开始时间")
	private String startTime;

	@ApiModelProperty(value = "结束时间")
	private String endTime;

	@ApiModelProperty(value = "抢购商品")
	private List<ConsignVO> consigns;

}
