/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 规则条件表实体类
 *
 * @author BladeX
 * @since 2022-03-15
 */
@Data
@TableName("t_consign_rule")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ConsignRule对象", description = "规则条件表")
public class ConsignRule extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 条件名称
	 */
	@ApiModelProperty(value = "条件名称")
	private String ruleName;
	/**
	 * 条件说明
	 */
	@ApiModelProperty(value = "条件说明")
	private String ruleDesc;
	/**
	 * 可抢订单数/日
	 */
	@ApiModelProperty(value = "可抢订单数/日")
	private Integer orderNum;
	/**
	 * 酒票
	 */
	@ApiModelProperty(value = "酒票")
	private Integer ticketNum;
	/**
	 * 信誉分
	 */
	@ApiModelProperty(value = "信誉分")
	private Integer creditScore;
	/**
	 * 启用状态
	 */
	@ApiModelProperty(value = "启用状态")
	private String ruleState;


}
